<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:06 +0000">

<link rel="stylesheet" type="text/css" href="../../../stylesheet.css">
<link rel="start" href="../../../overview-summary.html">

<title>aClass (PHPDoctor)</title>

</head>
<body id="definition" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../../../phpdoctor/tests/data/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../../../phpdoctor/tests/data/package-tree.html">Tree</a></li>
<li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../phpdoctor/tests/data/aclass.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<div class="qualifiedName">PHPDoctor\Tests\Data\aClass</div>
<a href="../../../source/tests/cases/data/php5-test.php.html#line70" class="location">tests/cases/data/php5-test.php at line 70</a>

<h1>Class aClass</h1>

<pre class="tree"><strong>aClass</strong><br /></pre>

<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../phpdoctor/tests/data/aninterface.html">anInterface</a> </dd>
</dl>

<hr>

<p class="signature">public  class <strong>aClass</strong></p>

<div class="comment" id="overview_description"><p>This is aClass that implements anInterface. This is a second part of the
docComment to be part of the long description after the first fullstop.</p><p>This line however should always be only in the long description.</p></div>

<hr>

<table id="summary_field">
<tr><th colspan="2">Constant Summary</th></tr>
<tr>
<td class="type">final static  bool</td>
<td class="description"><p class="name"><a href="#booleanClassConstant">booleanClassConstant</a></p></td>
</tr>
<tr>
<td class="type">final static  int</td>
<td class="description"><p class="name"><a href="#integerClassConstant">integerClassConstant</a></p></td>
</tr>
<tr>
<td class="type">final static  str</td>
<td class="description"><p class="name"><a href="#stringClassConstant">stringClassConstant</a></p></td>
</tr>
</table>

<table id="summary_field">
<tr><th colspan="2">Field Summary</th></tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#aVar">$aVar</a></p></td>
</tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#aVarWithStringValue">$aVarWithStringValue</a></p></td>
</tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#aVarWithValue">$aVarWithValue</a></p></td>
</tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#anArrayVar">$anArrayVar</a></p></td>
</tr>
<tr>
<td class="type"> int</td>
<td class="description"><p class="name"><a href="#anIntVar">$anIntVar</a></p><p class="description"></p></td>
</tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#multipleVars1">$multipleVars1</a></p></td>
</tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#multipleVars2">$multipleVars2</a></p></td>
</tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#multipleVars3">$multipleVars3</a></p></td>
</tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#varContainingHTMLToEscape">$varContainingHTMLToEscape</a></p></td>
</tr>
</table>

<table id="summary_method">
<tr><th colspan="2">Method Summary</th></tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#__construct()">__construct</a>()</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#aMethod()">aMethod</a>()</p><p class="description">This is a method of the class aClass</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#aMethodWithGuessedParamTypes()">aMethodWithGuessedParamTypes</a>(str stringParam, int integerParam, bool booleanParam)</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#aMethodWithParams()">aMethodWithParams</a>(mixed one, mixed two)</p></td>
</tr>
</table>

<h2 id="detail_field">Constant Detail</h2>
<a href="../../../source/tests/cases/data/php5-test.php.html#line72" class="location">tests/cases/data/php5-test.php at line 72</a>

<h3 id="booleanClassConstant">booleanClassConstant</h3>
<code class="signature">public final static  bool <strong>booleanClassConstant</strong> = TRUE</code>
<div class="details">
</div>

<hr>

<a href="../../../source/tests/cases/data/php5-test.php.html#line74" class="location">tests/cases/data/php5-test.php at line 74</a>

<h3 id="integerClassConstant">integerClassConstant</h3>
<code class="signature">public final static  int <strong>integerClassConstant</strong> = 3</code>
<div class="details">
</div>

<hr>

<a href="../../../source/tests/cases/data/php5-test.php.html#line73" class="location">tests/cases/data/php5-test.php at line 73</a>

<h3 id="stringClassConstant">stringClassConstant</h3>
<code class="signature">public final static  str <strong>stringClassConstant</strong> = 'str'</code>
<div class="details">
</div>

<hr>

<h2 id="detail_field">Field Detail</h2>
<a href="../../../source/tests/cases/data/php5-test.php.html#line76" class="location">tests/cases/data/php5-test.php at line 76</a>

<h3 id="aVar">aVar</h3>
<code class="signature">public  mixed <strong>$aVar</strong></code>
<div class="details">
</div>

<hr>

<a href="../../../source/tests/cases/data/php5-test.php.html#line93" class="location">tests/cases/data/php5-test.php at line 93</a>

<h3 id="aVarWithStringValue">aVarWithStringValue</h3>
<code class="signature">public  mixed <strong>$aVarWithStringValue</strong> = &quot;one&quot;</code>
<div class="details">
</div>

<hr>

<a href="../../../source/tests/cases/data/php5-test.php.html#line91" class="location">tests/cases/data/php5-test.php at line 91</a>

<h3 id="aVarWithValue">aVarWithValue</h3>
<code class="signature">public  mixed <strong>$aVarWithValue</strong> = 1</code>
<div class="details">
</div>

<hr>

<a href="../../../source/tests/cases/data/php5-test.php.html#line95" class="location">tests/cases/data/php5-test.php at line 95</a>

<h3 id="anArrayVar">anArrayVar</h3>
<code class="signature">public  mixed <strong>$anArrayVar</strong> = array(4, 5, 6)</code>
<div class="details">
</div>

<hr>

<a href="../../../source/tests/cases/data/php5-test.php.html#line81" class="location">tests/cases/data/php5-test.php at line 81</a>

<h3 id="anIntVar">anIntVar</h3>
<code class="signature">public  int <strong>$anIntVar</strong></code>
<div class="details">
<p></p></div>

<hr>

<a href="../../../source/tests/cases/data/php5-test.php.html#line89" class="location">tests/cases/data/php5-test.php at line 89</a>

<h3 id="multipleVars1">multipleVars1</h3>
<code class="signature">public  mixed <strong>$multipleVars1</strong> = 1</code>
<div class="details">
</div>

<hr>

<a href="../../../source/tests/cases/data/php5-test.php.html#line89" class="location">tests/cases/data/php5-test.php at line 89</a>

<h3 id="multipleVars2">multipleVars2</h3>
<code class="signature">public  mixed <strong>$multipleVars2</strong></code>
<div class="details">
</div>

<hr>

<a href="../../../source/tests/cases/data/php5-test.php.html#line89" class="location">tests/cases/data/php5-test.php at line 89</a>

<h3 id="multipleVars3">multipleVars3</h3>
<code class="signature">public  mixed <strong>$multipleVars3</strong> = 3</code>
<div class="details">
</div>

<hr>

<a href="../../../source/tests/cases/data/php5-test.php.html#line97" class="location">tests/cases/data/php5-test.php at line 97</a>

<h3 id="varContainingHTMLToEscape">varContainingHTMLToEscape</h3>
<code class="signature">public  mixed <strong>$varContainingHTMLToEscape</strong> = '&lt;strong&gt;Escape me&lt;/strong&gt;'</code>
<div class="details">
</div>

<hr>

<h2 id="detail_method">Method Detail</h2>
<a href="../../../source/tests/cases/data/php5-test.php.html#line99" class="location">tests/cases/data/php5-test.php at line 99</a>

<h3 id="__construct()">__construct</h3>
<code class="signature">public  void <strong>__construct</strong>()</code>
<div class="details">
</div>

<hr>

<a href="../../../source/tests/cases/data/php5-test.php.html#line106" class="location">tests/cases/data/php5-test.php at line 106</a>

<h3 id="aMethod()">aMethod</h3>
<code class="signature">public  void <strong>aMethod</strong>()</code>
<div class="details">
<p>This is a method of the class aClass</p><dl>
<dt>Throws:</dt>
<dd>Exception</dd>
</dl>
</div>

<hr>

<a href="../../../source/tests/cases/data/php5-test.php.html#line123" class="location">tests/cases/data/php5-test.php at line 123</a>

<h3 id="aMethodWithGuessedParamTypes()">aMethodWithGuessedParamTypes</h3>
<code class="signature">public  void <strong>aMethodWithGuessedParamTypes</strong>(str stringParam, int integerParam, bool booleanParam)</code>
<div class="details">
</div>

<hr>

<a href="../../../source/tests/cases/data/php5-test.php.html#line113" class="location">tests/cases/data/php5-test.php at line 113</a>

<h3 id="aMethodWithParams()">aMethodWithParams</h3>
<code class="signature">public  void <strong>aMethodWithParams</strong>(mixed one, mixed two)</code>
<div class="details">
</div>

<hr>

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../../../phpdoctor/tests/data/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../../../phpdoctor/tests/data/package-tree.html">Tree</a></li>
<li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../phpdoctor/tests/data/aclass.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>